org.apache.ignite.internal.util.nio.ssl

## Class GridSslMeta

- java.lang.Object
- - org.apache.ignite.internal.util.nio.ssl.GridSslMeta

    public class GridSslMeta
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`GridSslMeta()`

### Method Summary

Methods
`ByteBuffer` `decodedBuffer()`
`void` `decodedBuffer(ByteBuffer decodedBuf)`
`ByteBuffer` `encodedBuffer()`
`void` `encodedBuffer(ByteBuffer encodedBuf)`
`org.apache.ignite.internal.util.nio.ssl.GridNioSslHandler` `handler()`
`void` `handler(org.apache.ignite.internal.util.nio.ssl.GridNioSslHandler hnd)`
`SSLEngine` `sslEngine()`
`void` `sslEngine(SSLEngine sslEngine)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridSslMeta

    public GridSslMeta()

### Method Detail

#### sslEngine

    public SSLEngine sslEngine()

#### sslEngine

    public void sslEngine(SSLEngine sslEngine)

Parameters:
  `sslEngine` - Ssl engine.

#### handler

    public org.apache.ignite.internal.util.nio.ssl.GridNioSslHandler handler()

#### handler

    public void handler(org.apache.ignite.internal.util.nio.ssl.GridNioSslHandler hnd)

Parameters:
  `hnd` - Handler.

#### decodedBuffer

    public ByteBuffer decodedBuffer()

#### decodedBuffer

    public void decodedBuffer(ByteBuffer decodedBuf)

Parameters:
  `decodedBuf` - Decoded buffer.

#### encodedBuffer

    public ByteBuffer encodedBuffer()

#### encodedBuffer

    public void encodedBuffer(ByteBuffer encodedBuf)

Parameters:
  `encodedBuf` - Encoded buffer.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016